/*  g3DGMV
 *  Copyright (C) <1999> <NICK YOST>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include "draw_entry.h"


/*
 * This function returns a widget in a component created by Glade.
 * Call it with the toplevel widget in the component (i.e. a window/dialog),
 * or alternatively any widget in the component, and the name of the widget
 * you want returned.
 */
GtkWidget*
get_widget                             (GtkWidget       *widget,
                                        gchar           *widget_name);


 /*
  * This is an internally used function for setting notebook tabs. It is only
  * included in this header file so you don't get compilation warnings
  */
void
set_notebook_tab                       (GtkWidget       *notebook,
                                        gint             page_num,
                                        GtkWidget       *widget);

void       
Mapper_app_close(GtkWidget* app);

gint 
delete_event                           (GtkWidget *widget,
					GdkEvent *event, gpointer data);

GtkWidget* create_Mapper (void);
GtkWidget* create_fileselection1 (void);
GtkWidget* create_colorselectiondialog1 (void);
GtkWidget* create_dialog_bar (void);

void 
push_item                               (GtkWidget    *widget,
					 char* data);
void 
draw_area_event (GtkWidget*widget, char *button_type);
void
on_colorBox_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void draw_brush  (GtkWidget *widget, gdouble x, gdouble y, 
		  int drawtype, GdkGC *gc, gpointer data);

void DLGUTMtoLL( float UTMNorthing,float UTMEasting,
		 float *lat,float *lng, int flag );

void IMAGEtoBUFF(GtkWidget *widget, gpointer data );

gint Generate_DEM(gpointer data,int ty,double xx,double yy,double zz,
		  int enable);

void set_notebook_tab                      (GtkWidget       *notebook,
					    gint             page_num,
					    GtkWidget       *widget);
void
initialize_map (gpointer  data);  

void 
on_Toolbox_activate(GtkWidget *button, gpointer data );

void 
on_DailogFrame_activate(GtkWidget *button, gpointer data );

void ButtonClicked(GtkWidget *widget, gpointer data);

void
on_new_activate                  (GtkWidget    *widget,
					gpointer         data);
void
on_File2_save_activate(GtkWidget    *widget,
					gpointer         data);
void
on_File2_open_activate(GtkWidget    *widget,
					gpointer         data);
void
on_File_open_background_activate       (GtkWidget    *widget,
					gpointer         data);
void DrawWP(gpointer data); 

GtkWidget *CreateMenuItem (GtkWidget *menu,
			   char *szName,
			   char *szAccel,
			   char *szTip,
			   GtkSignalFunc func,
			   gpointer data);

GtkWidget * CreateBarSubMenu (GtkWidget *menu, char *szName);

//GtkWidget * CreatetoolBarbutton (GtkWidget *toolbar, 
//				 char *szTips,  
//				 GdkPixmap *pixmap, 
//				 GdkBitmap *mask,
//				 GtkSignalFunc func,
//				 gpointer data);
//GtkWidget* create_popup_window ();
//GtkWidget* create_popup_menu ();
void FLIPIMAGEVERTICAL (GtkWidget *button, gpointer data );
void FLIPIMAGEHORIZONTAL(GtkWidget *button, gpointer data );
void ROTATEIMAGE(GtkWidget *button, gpointer data );
void ZOOMinIMAGE(GtkWidget *button, gpointer data );
void ZOOMoutIMAGE(GtkWidget *button, gpointer data );

void
on_Map_Flat_activate                  (GtkWidget    *widget,
					gpointer         data);
void
on_Map_normal_activate                  (GtkWidget    *widget,
					gpointer         data);
void
on_Map_DLG_activate                  (GtkWidget    *widget,
					gpointer         data);
void
on_Map_line_activate                  (GtkWidget    *widget,
					gpointer         data);
void
on_Map_3D_activate                  (GtkWidget    *widget,
					gpointer         data);
void
on_Spinner_Changed (GtkSpinButton *entry, gpointer data );

ElevMap * getmap();
